classification
Title: Delegating to thread and process deadlocks
Type: resource usage Stage: resolved
Components: Library (Lib) Versions: Python 3.9
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: doublex
Priority: normal Keywords:

Created on 2021-01-29 20:03 by doublex, last changed 2021-03-17 13:01 by doublex. This issue is now closed.

Files
File name Uploaded Description Edit
stuck.py doublex, 2021-01-29 20:03
Messages (1)
msg385931 - (view) Author: (doublex) Date: 2021-01-29 20:03
Works with python 3.8
Fails with 3.9.1 (tested on CentOS 7 and Ubuntu 2004)
Yes, sometimes is does not stuck...

Command-line: 
python3.9 stuck.py
History
Date User Action Args
2021-03-17 13:01:45doublexsetstatus: open -> closed
stage: resolved
2021-02-07 17:52:30doublexsettitle: Delegating to thread and process stucks in 3.9.1 -> Delegating to thread and process deadlocks
2021-02-07 17:51:46doublexsetcomponents: + Library (Lib), - Interpreter Core
title: 'concurrent.futures' stucks in 3.9.1 -> Delegating to thread and process stucks in 3.9.1
2021-01-29 20:03:18doublexcreate